"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const result_1 = require("./result");
function data(path, methods, config = {}) {
    if (!config.prefix) {
        config.prefix = '/api';
    }
    return {
        __routeType: 'DATA',
        path: path,
        methods: methods,
        prefix: config.prefix,
        middleware: config.middleware
    };
}
exports.data = data;
function view(path, handler, config = {}) {
    let methodMap;
    if (typeof handler === 'string') {
        methodMap = {
            'get': async () => result_1.ViewResult.ok(handler)
        };
    }
    else {
        methodMap = {
            'get': handler
        };
    }
    return {
        __routeType: 'VIEW',
        path: path,
        methods: methodMap,
        prefix: config.prefix,
        middleware: config.middleware
    };
}
exports.view = view;
//# sourceMappingURL=builder-functions.js.map